﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms;

namespace MetroFormCustomization
{
    public partial class Form1 : MetroForm
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // Caption labels
            for (int i = 0; i < this.CaptionLabels.Count; i++)
            {
                CaptionLabel item = this.CaptionLabels[i];
                item.LabelMouseEnter += new CaptionLabel.MouseEnter(item_LabelMouseEnter);
                item.LabelMouseLeave += new CaptionLabel.MouseLeave(item_LabelMouseLeave);
                item.LabelMouseDown += new CaptionLabel.MouseDown(item_LabelMouseDown);
            }

        }

        /// <summary>
        /// Occurs on Mouse Pointer down
        /// </summary>
        void item_LabelMouseDown(object sender, LabelMouseDownEventArgs e)
        {
            if ((sender as CaptionLabel) != null)
            {
                MessageBox.Show((sender as CaptionLabel).Text + " :" + "is Clicked");
            }
        }

        /// <summary>
        /// Occurs on Mouse Pointer Leave
        /// </summary>
        void item_LabelMouseLeave(object sender, LabelMouseLeaveEventArgs e)
        {
            if ((sender as CaptionLabel) != null)
            {
                (sender as CaptionLabel).ForeColor = Color.White;
			}
        }

        /// <summary>
        /// Occurs on Mouse Pointer Enter
        /// </summary>
        void item_LabelMouseEnter(object sender, LabelMouseEnterEventArgs e)
        {
            if ((sender as CaptionLabel) != null)
            {
                (sender as CaptionLabel).ForeColor = Color.Yellow;
			}
        }
    }
}
